set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Boost REQUIRED COMPONENTS container url json)

add_executable(VoucherVerifyServer
    main.cpp
    HttpSession.h HttpSession.cpp
    Listener.h Listener.cpp
    ResponseUtility.h ResponseUtility.cpp
    ServiceLogic.h ServiceLogic.cpp
    SharedState.h SharedState.cpp
    WebsocketSession.h WebsocketSession.cpp
)

target_link_directories(VoucherVerifyServer
    PRIVATE ${OPENSSL_LIBRARY_DIRS}
)

target_link_libraries(VoucherVerifyServer
    PRIVATE Universal
    PRIVATE HttpProxy
    PRIVATE ${Boost_LIBRARIES}
    PRIVATE ${OPENSSL_LIBRARY}
    PRIVATE dl
)